<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

Hook::call('admin_pages_before');

$pg=Factory::create('admin_pages.main');

if (access('edit') || access('add')) LabCMS::setAllowFileUpload();

$action='show';
if (isset(LabCMS::i()->params['onlylist'])) {
	LabCMS::i()->setAdminSkin();
	$action='all';
}
if (isset($_GET['action']) && is_callable(array($pg, $_GET['action']))) $action=$_GET['action'];
call_user_func(array($pg, $action));

Hook::call('admin_pages_after');
